Legacy Applications

Overview

If your device is too old to run our Official desktop/mobile application, don't worry. It is likely you can still run our Legacy desktop/mobile application instead.

The legacy apps are designed to run on older platforms, and they use an entirely different technology. This means they will work on nearly any device, even older ones.


 Windows  macOS  iOS  Android  Linux

In this section


 VirtualShield for Windows

The legacy app only includes basic VPN functionality. To take full advantage of VPN Plus (Ad & Malware blocking), and the additional features we offer, the official app is required.

Before attempting to install the Legacy app, check to see if you can install our Official Windows application first. If you can run this app, chances are you can run the new one as well.

The legacy apps will be deprecated over time. If your device is compatible, we strongly recommend installing the Official Windows application instead.

Legacy Windows application

How to install the Legacy VirtualShield app on your Windows computer:
1

Start by visiting this link to download the installation file to your computer:

Microsoft Windows 7 or later is required. See our support article for more information.
2

Open the VirtualShieldSetup.exe file you just downloaded to launch the installer. This file should be located in your Downloads folder.

To find your Downloads folder, open the Start menu near the bottom of your screen, and type downloads in the search box.
3

You may see a prompt asking if you want to allow VirtualShield to make changes to your computer. Click Yes to proceed.

4

The VirtualShield Setup Wizard will now launch in a new window. Click Install to begin the installation.

5

The wizard will now complete the installation. Please do not attempt to close the Setup Wizard during this process.

6

That's it! You can now open the VirtualShield application from the icon on your Desktop, and log in to connect to our secure network.

For more help logging in and connecting, see our support article.

Common Questions

?
My device is not listed above, what can I do?
If your device is not listed, don't worry. VirtualShield will be coming to more devices very soon, including Linux, Android TV, Amazon tablets and more. In the meanwhile, you can install our Legacy app instead.
?
My device is too old to run the app, what can I do?
If your device is incompatible, it is likely you can run our Legacy app instead. However, we recommend upgrading your system to be fully protected against the latest threats.
?
I own an iPhone 7, does that mean I can't run the app?
No, the Apple iOS version is different from the iPhone/iPad version. As long as you're using iOS 13.0 or later, then our app will be fully compatible. See our support article for more info on how to check your iOS version.

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.